import 'package:flutter/material.dart';

/// Description: home page
/// Time       : 12/20/2024 Friday
/// Author     : liuyuqi.gov@msn.cn
class HomePage extends StatefulWidget {
  const HomePage({super.key});

  @override
  State<HomePage> createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        actions: [],
        title: const Text("主页"),
      ),
      body: Column(
        children: [
          const Text("支付演示"),
          const Text("商品名称: 橘子"),
          const Text("数量：1斤"),
          const Text("单价：11元/斤"),
          const Text("总价：11元"),
          Row(
            children: [
              ElevatedButton(
                onPressed: () {},
                child: const Text("微信支付"),
              ),
              ElevatedButton(
                onPressed: () {},
                child: const Text("支付宝支付"),
              ),
              ElevatedButton(
                onPressed: () {},
                child: const Text("Google支付"),
              ),
              ElevatedButton(
                onPressed: () {},
                child: const Text("Stripe支付"),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
